

 ( for i in  $( ls ../hp-ppd-old/  ) ; 
     do l=$(echo $i | tr 'A-Z' 'a-z' ) ; 
       echo; echo ========= $i ; 
       if find -iname $l | grep -i $i ; then
        if find -name $i | grep  $i ; then 
           true #superseded 
        else
            ln -sv $l links/$i
        fi 
       else
          {  if grep -q CUPS-O ../hp-ppd-old/$i ; then 
                echo CUPS-O-MATIC $i ;  ln -vi ../hp-ppd-old/$i cups-o-matic ;
             else  
                 echo MISSING $i ;  ln -vi ../hp-ppd-old/$i  old ;
             fi ; 
          }
       fi
      done 
 ) 

exit

 rm links/* cups-o-matic/HP_DeskJet_* old/*